commit: 9be92a864eb3f24422c5768a2956a11d984eb77e
parent eded0722d0d6309be817dcd8920ab1aa12d4ca28
Author: Haelwenn (lanodan) Monnier <contact@hacktivis.me>
Date: Fri, 3 May 2024 20:34:07 +0200
Add bootstrap-make for busybox
Diffstat:
5 files changed, 23 insertions(+), 1 deletion(-)
diff --git a/README.md b/README.md
@@ -109,7 +109,8 @@ Meanwhile:
- GNU tar: [No.](https://www.roguelazer.com/blog/surprising-behavior-in-gnu-tar/)
### extras as packed tarballs
-- bash: for gentoo's bootstrap-prefix.sh
+- GNU bash: For gentoo's bootstrap-prefix.sh
+- GNU make: For busybox
## Launching in QEMU
```
diff --git a/bootstrap-make.sh b/bootstrap-make.sh
@@ -0,0 +1,17 @@
+#!/bin/sh
+set -ex
+P="make-4.4.1"
+
+gzip -d -k /${P}.tar.gz
+tar xf /${P}.tar
+cd ./$P
+
+export LD="tcc"
+./configure --prefix=/usr --disable-nls --disable-dependency-tracking
+bmake clean
+# ARFLAGS as otherwise it passes -o which is invalid
+bmake ARFLAGS='-r'
+bmake install INSTALL=install
+
+cd ..
+rm -r ./$P /${P}.tar
diff --git a/distfiles.SHA512SUM b/distfiles.SHA512SUM
@@ -11,6 +11,7 @@ e84cd5bc6acdd4d16fc4f16b83e85737aa46d9f332b8f8b0aad75a07fc6c3216fc800538038edcb2
d9f20f35468d979fc29ef5ccc6e77d263e942222b8475940608a234b15e8cff84ef2163514b7b03669008c1fecac88fc9ab097a0f29b4b80a478b1fb09298bee distfiles/linux-headers-6.6-r0.apk.x86_64
3e23929f6ead271a8918224e7979d4168214d47603ef22d9b3391686b4de72a48b261632924a2b9f0c8c58da790401309dd5304c100d8bcbe4ec8c0a434b7d95 distfiles/loksh-7.3.tar.gz
5e812dcbfb5a1be294a3717ed54c5758c9836bd133e56ee59600f47531f1d8536c613b1548637620a4f4cc2761ba507fa541273d1f03108b60cb0c883c601891 distfiles/lolibc-f6e9da7.tar.gz
+145260cbd6a8226cef3dfef0c8baba31847beaebc7e6b65d39d02715fd4f4cab9b139b6c3772e550088d4f9ae80c6d3ed20b9a7664c693644dfb96b4cb60e67c distfiles/make-4.4.1.tar.gz
6acd3ee911442934082f4f877d795b07c5e23022eaa9c0874799d97e92a2f5a663cb45f94b7f9745c49cbbce6b7e755a29e381ccfb9e68a0be1eedbd22fd5d3b distfiles/mk-20210330.tar.gz
dddd12728842e84bf7d532901d9b9e26e2c8c86e25a3625329586c9088ec9b3825ce3e512c56b7e875b923905308b89494d31d7ca05ebda5485bd00de3954236 distfiles/musl-1.2.5-r0.apk.aarch64
4d76f479017b6f666c36782183f3bdb3e58a48f7400cd125c129e380a8654cf99f685f8d3e97b51cb0199b59720a320e251dd9b89fe55ef8f542a043ab3e7355 distfiles/musl-1.2.5-r0.apk.armhf
diff --git a/fetch.sh b/fetch.sh
@@ -7,6 +7,7 @@ URLS="
https://sourceware.org/pub/bzip2/bzip2-1.0.8.tar.gz
https://zlib.net/zlib-1.3.1.tar.gz
https://www.zlib.net/pigz/pigz-2.8.tar.gz
+ https://ftp.gnu.org/gnu/make/make-4.4.1.tar.gz
https://downloads.sourceforge.net/heirloom/heirloom/070715/heirloom-070715.tar.bz2
https://downloads.sourceforge.net/project/heirloom/heirloom-devtools/070527/heirloom-devtools-070527.tar.bz2
https://ftp.gnu.org/gnu/bash/bash-5.1.tar.gz
diff --git a/make-root.sh b/make-root.sh
@@ -20,6 +20,7 @@ tarballs="
"
distfiles="
bash-5.1.tar.gz
+ make-4.4.1.tar.gz
"
local_files="
init.sh
@@ -28,6 +29,7 @@ local_files="
grep-stub.c
cp-stub.c
bootstrap-bash.sh
+ bootstrap-make.sh
"
WORKDIR="$(dirname "$0")"
WORKDIR="$(realpath "$WORKDIR")"